## debian-fastforward 20250601

=== Makefile ===
# Copyright (C) 2004-2025 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PACKAGE := debian-fastforward
VERSION := $(shell cat VERSION.txt)

all: build

clean: clean-man clean-pgp clean-ssh

clean-man:
	$(MAKE) -C manpages clean

clean-pgp:
	# clean pgp keyrings
	rm -f pgp-keys/*/*.pgp
	rm -f pgp-keys/*.pgp

clean-ssh:
	# clean ssh keyrings
	rm -f ssh-keys/*.pub

build: build-man build-pgp build-ssh

build-doc: build-man
	sed -n '/^===/,$$p' manpages/$(PACKAGE).7.rst > README.txt

build-man: manpages/*.rst
	$(MAKE) -C manpages

build-pgp: pgp-keys/*/*.pub
	# build pgp keyrings
	for KEY in $$(ls pgp-keys/*/*.pub); \
	do \
		OUTPUT="$$(dirname $${KEY})/$$(basename $${KEY} .pub).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		gpg --output $${OUTPUT} --dearmor $${KEY}; \
	done

	for DIRECTORY in $$(ls -d pgp-keys/*/); \
	do \
		OUTPUT="pgp-keys/$$(basename $${DIRECTORY}).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pgp); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

build-ssh: ssh-keys/*/*.pub
	# build ssh keyrings
	for DIRECTORY in $$(ls -d ssh-keys/*/); \
	do \
		OUTPUT="ssh-keys/$$(basename $${DIRECTORY}).pub"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pub); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

test: test-pgp test-ssh

test-pgp: pgp-keys/*/*.sig
	# test pgp keyrings
	for SIG in $$(ls pgp-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

test-ssh: ssh-keys/*/*.sig
	# test ssh keyrings
	for SIG in $$(ls ssh-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

install: install-doc install-man install-pgp install-ssh

install-doc: build-doc
	# install doc
	mkdir -p $(DESTDIR)/usr/share/doc/$(PACKAGE)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PACKAGE)

install-man: build-man
	# install manpages
	for SECTION in $$(seq 1 8); \
	do \
		if ls manpages/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp manpages/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

install-pgp: build-pgp
	# install pgp keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)/pgp-keys
	cp pgp-keys/*.pgp $(DESTDIR)/usr/share/$(PACKAGE)/pgp-keys

install-ssh: build-ssh
	# install ssh keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)/ssh-keys
	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PACKAGE)/ssh-keys

uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh

uninstall-doc:
	# uninstall doc
	rm -rf $(DESTDIR)/usr/share/doc/$(PACKAGE)

uninstall-man:
	# uninstall manpages
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in manpages/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

uninstall-pgp:
	# uninstall pgp keyrings
	rm -rf $(DESTDIR)/usr/share/$(PACKAGE)/pgp-keys
	-rmdir --parents $(DESTDIR)/usr/share/$(PACKAGE)

uninstall-ssh:
	# uninstall ssh keyrings
	rm -rf $(DESTDIR)/usr/share/$(PACKAGE)/ssh-keys
	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PACKAGE)

reinstall: clean uninstall build install

distclean: clean
	rm -rf $(PACKAGE)-$(VERSION)

release: distclean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(PACKAGE)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(PACKAGE)-$(VERSION) -exec cp \-a {} $(PACKAGE)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION} $(PACKAGE)-$(VERSION); \
		sha512sum ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION} > ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 2698683880B6A84A3D044602FBB4F0E80A80222F --armor -b ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}.asc ../$(PACKAGE)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(PACKAGE)-$(VERSION)

upload:
	scp ../$(PACKAGE)-$(VERSION).* apt.fastforward.deb822.org:/srv/apt.fastforward.deb822.org/archive/upstream/$(PACKAGE)

=== manpages/Makefile ===
# Copyright (C) 2004-2025 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} debian-fastforward |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
debian-fastforward (20250601-5) unstable; urgency=medium

  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1127880).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 13:23:15 +0100

debian-fastforward (20250601-4) unstable; urgency=medium

  * Adding initial Catalan debconf translations from poc senderi
    <pocsenderi@protonmail.com> (Closes: #1127650).
  * Adding initial Simplified Chinese debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1127738).
  * Adding initial Traditional Chinese debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1127738).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 10:23:05 +0100

debian-fastforward (20250601-3) unstable; urgency=low

  * Adding initial Portuguese translation from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1126822).
  * Removing Rules-Requires-Root field, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating year in debian copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Feb 2026 05:56:05 +0100

debian-fastforward (20250601-2) unstable; urgency=low

  * Adding debconf support to generate sources.list entries.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 11:43:08 +0100

debian-fastforward (20250601-1) unstable; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Jul 2025 20:21:42 +0200

=== debian/control ===
Source: debian-fastforward
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 gnupg,
 python3-docutils,
Standards-Version: 4.7.3
Homepage: https://fastforward.debian.net
Vcs-Browser: https://git.fastforward.debian.net/debian/debian-fastforward
Vcs-Git: https://git.fastforward.debian.net/debian/debian-fastforward

Package: debian-fastforward
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ca-certificates,
 debian-fastforward-pgp-keys,
 debian-fastforward-ssh-keys,
 ${misc:Depends},
Enhances:
 apt,
 openssh-server,
Description: Fast Forward Packages for Debian - Setup
 Debian Fast Forward is a Debian package repository focused on backports from
 unstable to stable.
 .
 This package allows one to setup the Debian Fast Forward apt archives and ssh
 cert-authority to the current system.

Package: debian-fastforward-pgp-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 debian-fastforward-gpg-keys,
Enhances:
 apt,
Description: Fast Forward Packages for Debian - PGP Keys
 Debian Fast Forward is a Debian package repository focused on backports from
 unstable to stable.
 .
 This package contains the PGP keys used to verify digital signatures on
 packages and images.

Package: debian-fastforward-ssh-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 openssh-server,
Description: Fast Forward Packages for Debian - SSH Keys
 Debian Fast Forward is a Debian package repository focused on backports from
 unstable to stable.
 .
 This package contains the SSH keys used for hosts and maintainers.

## debian-fastforward 20260224

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2025 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2004-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -172,4 +172,4 @@
 	rm -rf $(PACKAGE)-$(VERSION)
 
 upload:
-	scp ../$(PACKAGE)-$(VERSION).* apt.fastforward.deb822.org:/srv/apt.fastforward.deb822.org/archive/upstream/$(PACKAGE)
+	scp ../$(PACKAGE)-$(VERSION).* archive.fastforward.deb822.org:/srv/archive.fastforward.deb822.org/archive/upstream/$(PACKAGE)

=== manpages/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2004-2025 Daniel Baumann <daniel@debian.org>
+# Copyright (C) 2004-2026 Daniel Baumann <daniel@debian.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
debian-fastforward (20260224-2) sid; urgency=medium

  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 08:23:31 +0100

debian-fastforward (20260224-1) sid; urgency=medium

  * Merging upstream version 20260224.
  * Using codename instead of suitenames in changelog.
  * Updating year in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Feb 2026 08:02:55 +0100

debian-fastforward (20250601-5) sid; urgency=medium

  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1127880).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 13:23:15 +0100

debian-fastforward (20250601-4) sid; urgency=medium

  * Adding initial Catalan debconf translations from poc senderi
    <pocsenderi@protonmail.com> (Closes: #1127650).
  * Adding initial Simplified Chinese debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1127738).
  * Adding initial Traditional Chinese debconf translations from Yangfl
    <mmyangfl@gmail.com> (Closes: #1127738).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 10:23:05 +0100

debian-fastforward (20250601-3) sid; urgency=low

  * Adding initial Portuguese translation from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #1126822).
  * Removing Rules-Requires-Root field, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating year in debian copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Mon, 02 Feb 2026 05:56:05 +0100

debian-fastforward (20250601-2) sid; urgency=low

  * Adding debconf support to generate sources.list entries.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 11:43:08 +0100

debian-fastforward (20250601-1) sid; urgency=low

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Jul 2025 20:21:42 +0200

=== debian/watch ===
Version: 5

Source: https://archive.fastforward.debian.net/archive/upstream/debian-fastforward
